cURL
curl --request POST \ --url https://sandbox.tight.com/v6/reports/agedAccountsPayable \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "filters": { "beginDate": "2025-01-01", "endDate": "2025-12-31", "classSegmentIds": [ "<string>" ] }, "exportType": "JSON", "recipients": { "emails": [ "<string>" ], "ccEmails": [ "<string>" ], "bccEmails": [ "<string>" ] } } '
{ "result": "SUCCESS", "data": { "json": [ { "name": "Acme Corp", "balanceCurrent": 100000, "balance0to30": 50000, "balance31to60": 25000, "balance61to90": 10000, "balance91plus": 5000, "totalBalance": 190000 } ], "url": "<string>", "meta": { "title": "<string>", "generatedOn": "2023-11-07T05:31:56Z", "generatedBy": "John Doe", "footerLine": "Generated by Tight" } } }
Generate an Aged Accounts Payable Report
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Bearer <token>
Filters to apply to the balance sheet report
Show child attributes
Export format for the chart of accounts report
JSON
PDF
XLSX
Email recipients for the balance sheet report
Success
The result of the action performed.
SUCCESS
FAILURE
The data generated by the action performed.